local pk_limit = _G.pk_limit
local Msg = require("core.Msg")

--local function set_all_unlimit()
--	for k, v in pairs(Msg.proto_id) do
--		if string.sub(k, 1, 2) == "CG" then
--			pk_limit.set_limit(v, 0, 1)
--		end
--	end
--end

local is_windows_nt = os.getenv("OS") == "Windows_NT"

for k, v in pairs(Msg.proto_id) do
	if k ~= "CG_AA_DISCONNECT" then
		local sub = string.sub(k, 1, 2)
		if sub == "CG" then
			pk_limit.set_name(v, k)
			if is_windows_nt then
				pk_limit.set_limit(v, 128, 1)	--默认所有cg协议都是128毫秒1次
			else
				pk_limit.set_limit(v, 1000, 5)
			end
		elseif sub == "GC" then
			 pk_limit.set_name(v, k)
		else
--			assert()
		end
	end
end

pk_limit.set_limit(Msg.proto_id.CG_CLIENT_ERROR, 1000, 16)
pk_limit.set_limit(Msg.proto_id.CG_UNION_QUERY, 1000, 16)
pk_limit.set_limit(Msg.proto_id.CG_GUIDE_STEP_FINISH, 1000, 16)
